<?php
/**
 * Builds admin panem menu for Plugin
 */
if(!function_exists('cystats_create_admin_menu')){
	function cystats_create_admin_menu() {
		if (function_exists('add_options_page')) {
			add_options_page('CyStats Options Page', 'CyStats ', 8, 'cystats-options', 'cystats_admin_options');
		}
		if (function_exists('add_menu_page')) {
			add_menu_page('CyStats Statistics Plugin', 'CyStats', 8, __FILE__, 'cystats_admin_index');
		}
		if (function_exists('add_submenu_page')) {
			add_submenu_page(__FILE__, htmlspecialchars(__('CyStats: Index','cystats')), htmlspecialchars(__('Index','cystats')), 8, __FILE__, 'cystats_admin_index');
			add_submenu_page(__FILE__, htmlspecialchars(__('CyStats: Clients &amp; Robots','cystats')), htmlspecialchars(__('Clients and robots','cystats')), 8, 'cystats-clients', 'cystats_admin_clients');
			add_submenu_page(__FILE__, htmlspecialchars(__('CyStats: Options','cystats')),htmlspecialchars(__('Options','cystats')), 8, 'cystats-options', 'cystats_admin_options');
		}
	}  
}

// Get neccesary class file      
require_once("view.class.php");

// admin page functions
function cystats_admin_index(){
    $statistics=new statisticsView();
    $statistics->init();    
    include(dirname(__FILE__).'/../admin/index.php');
}
function cystats_admin_clients(){
    $statistics=new statisticsView();
    $statistics->init();    
    include(dirname(__FILE__).'/../admin/clients.php');
}

function cystats_admin_options(){
  	global $userdata;
	get_currentuserinfo();
	if(!current_user_can('manage_options')){   
        ?>
        <div class="wrap">
            <h2><?php echo htmlspecialchars(__('Access denied','cystats'));?></h2>
            <p>
                <span style="display:block;width:100%;text-align:center;color:red;">
                    <?php echo htmlspecialchars(__('You do not have the required userlevel to access the cystats administration area.','cystats'));?>
                </span>
            </p>
        </div>
        <?php
    }else{    
        include(dirname(__FILE__).'/../admin/options.php');    
    }
}

?>
